Rem
Rem	Input_Order_Entry.sql
Prompt ******** INPUT DATA ORDER ENTRY ********
Rem
Rem Studi Kasus melibatkan 6 tabel yaitu Vendors, Products, ProductNotes, Customers, Orders, OrderItems
Rem
Rem ****************************************
Rem INPUT DATA CUSTOMERS yang menyimpan data Customer

Prompt ******** INPUT DATA CUSTOMERS ********
/*BEGIN*/
 INSERT INTO customers(cust_id, cust_name, cust_address, cust_city, cust_state, cust_zip, cust_country, cust_contact, cust_email)
  VALUES(10001, 'Coyote Inc.', '200 Maple Lane', 'Detroit', 'MI', '44444', 'USA', 'Y Lee', 'ylee@coyote.com');
 INSERT INTO customers(cust_id, cust_name, cust_address, cust_city, cust_state, cust_zip, cust_country, cust_contact)
  VALUES(10002, 'Mouse House', '333 Fromage Lane', 'Columbus', 'OH', '43333', 'USA', 'Jerry Mouse');
 INSERT INTO customers(cust_id, cust_name, cust_address, cust_city, cust_state, cust_zip, cust_country, cust_contact, cust_email)
  VALUES(10003, 'Wascals', '1 Sunny Place', 'Muncie', 'IN', '42222', 'USA', 'Jim Jones', 'rabbit@wascally.com');
 INSERT INTO customers(cust_id, cust_name, cust_address, cust_city, cust_state, cust_zip, cust_country, cust_contact, cust_email)
  VALUES(10004, 'Yosemite Place', '829 Riverside Drive', 'Phoenix', 'AZ', '88888', 'USA', 'Y Sam', 'sam@yosemite.com');
 INSERT INTO customers(cust_id, cust_name, cust_address, cust_city, cust_state, cust_zip, cust_country, cust_contact)
  VALUES(10005, 'E Fudd', '4545 53rd Street', 'Chicago', 'IL', '54545', 'USA', 'E Fudd');
/*END;*/

Prompt ******** INPUT DATA VENDORS ********
/*BEGIN*/
 INSERT INTO vendors(vend_id, vend_name, vend_address, vend_city, vend_state, vend_zip, vend_country)
  VALUES(1001,'Anvils R Us','123 Main Street','Southfield','MI','48075', 'USA');
 INSERT INTO vendors(vend_id, vend_name, vend_address, vend_city, vend_state, vend_zip, vend_country)
  VALUES(1002,'LT Supplies','500 Park Street','Anytown','OH','44333', 'USA');
 INSERT INTO vendors(vend_id, vend_name, vend_address, vend_city, vend_state, vend_zip, vend_country)
  VALUES(1003,'ACME','555 High Street','Los Angeles','CA','90046', 'USA');
 INSERT INTO vendors(vend_id, vend_name, vend_address, vend_city, vend_state, vend_zip, vend_country)
  VALUES(1004,'Furball Inc.','1000 5th Avenue','New York','NY','11111', 'USA');
 INSERT INTO vendors(vend_id, vend_name, vend_address, vend_city, vend_state, vend_zip, vend_country)
  VALUES(1005,'Jet Set','42 Galaxy Road','London', NULL,'N16 6PS', 'England');
 INSERT INTO vendors(vend_id, vend_name, vend_address, vend_city, vend_state, vend_zip, vend_country)
  VALUES(1006,'Jouets Et Ours','1 Rue Amusement','Paris', NULL,'45678', 'France');
/*END;*/

Prompt ******** INPUT DATA PRODUCTS ********
/*BEGIN*/
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('ANV01', 1001, '.5 ton anvil', 5.99, '.5 ton anvil, black, complete with handy hook');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('ANV02', 1001, '1 ton anvil', 9.99, '1 ton anvil, black, complete with handy hook and carrying case');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('ANV03', 1001, '2 ton anvil', 14.99, '2 ton anvil, black, complete with handy hook and carrying case');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('OL1', 1002, 'Oil can', 8.99, 'Oil can, red');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('FU1', 1002, 'Fuses', 3.42, '1 dozen, extra long');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('SLING', 1003, 'Sling', 4.49, 'Sling, one size fits all');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('TNT1', 1003, 'TNT (1 stick)', 2.50, 'TNT, red, single stick');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('TNT2', 1003, 'TNT (5 sticks)', 10, 'TNT, red, pack of 10 sticks');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('FB', 1003, 'Bird seed', 10, 'Large bag (suitable for road runners)');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('FC', 1003, 'Carrots', 2.50, 'Carrots (rabbit hunting season only)');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('SAFE', 1003, 'Safe', 50, 'Safe with combination lock');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('DTNTR', 1003, 'Detonator', 13, 'Detonator (plunger powered), fuses not included');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('JP1000', 1005, 'JetPack 1000', 35, 'JetPack 1000, intended for single use');
  INSERT INTO products(prod_id, vend_id, prod_name, prod_price, prod_desc)
   VALUES('JP2000', 1005, 'JetPack 2000', 55, 'JetPack 2000, multi-use');
 /*END;*/
 
Prompt ******** INPUT DATA ORDERS ********
/*BEGIN*/
  INSERT INTO orders(order_num, order_date, cust_id)
   VALUES(20005, TO_DATE('01-09-2005'), 10001);
  INSERT INTO orders(order_num, order_date, cust_id)
   VALUES(20006, TO_DATE('12-09-2005'), 10003);
  INSERT INTO orders(order_num, order_date, cust_id)
   VALUES(20007, TO_DATE('30-09-2005'), 10004);
  INSERT INTO orders(order_num, order_date, cust_id)
   VALUES(20008, TO_DATE('03-10-2005'), 10005);
  INSERT INTO orders(order_num, order_date, cust_id)
   VALUES(20009, TO_DATE('08-10-2005'), 10001);
/*END;*/

Prompt ******** INPUT DATA ORDERITEMS ********
/*BEGIN*/
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20005, 1, 'ANV01', 10);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20005, 2, 'ANV02', 3);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20005, 3, 'TNT2', 5);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20005, 4, 'FB', 1);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20006, 1, 'JP2000', 1);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20007, 1, 'TNT2', 100);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20008, 1, 'FC', 50);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20009, 1, 'FB', 1);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20009, 2, 'OL1', 1);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20009, 3, 'SLING', 1);
 INSERT INTO orderitems(order_num, order_item, prod_id, quantity)
  VALUES(20009, 4, 'ANV03', 1);
/*END;*/

Prompt ******** INPUT DATA ORDERITEMS ********

 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(101, 'TNT2', TO_DATE('17-08-2005'),
          'Customer complaint:
           Sticks not individually wrapped, too easy to mistakenly detonate all at once.
           Recommend individual wrapping.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(102, 'OL1', TO_DATE('18-08-2005'),
          'Can shipped full, refills not available.
           Need to order new can if refill needed.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(103, 'SAFE', TO_DATE('18-08-2005'),
          'Safe is combination locked, combination not provided with safe.
           This is rarely a problem as safes are typically blown up or dropped by customers.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(104, 'FC', TO_DATE('19-08-2005'),
          'Quantity varies, sold by the sack load.
           All guaranteed to be bright and orange, and suitable for use as rabbit bait.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(105, 'TNT2', TO_DATE('20-08-2005'),
          'Included fuses are short and have been known to detonate too quickly for some customers.
           Longer fuses are available (item FU1) and should be recommended.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(106, 'TNT2', TO_DATE('22-08-2005'),
          'Matches not included, recommend purchase of matches or detonator (item DTNTR).');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(107, 'SAFE', TO_DATE('23-08-2005'),
          'Please note that no returns will be accepted if safe opened using explosives.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(108, 'ANV01', TO_DATE('25-08-2005'),
          'Multiple customer returns, anvils failing to drop fast enough or falling backwards on purchaser. Recommend that customer considers using heavier anvils.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(109, 'ANV03', TO_DATE('01-09-2005'),
          'Item is extremely heavy. Designed for dropping, not recommended for use with slings, ropes, pulleys, or tightropes.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(110, 'FC', TO_DATE('01-09-2005'),
          'Customer complaint: rabbit has been able to detect trap, food apparently less effective now.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(111, 'SLING', TO_DATE('02-09-2005'),
          'Shipped unassembled, requires common tools (including oversized hammer).');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(112, 'SAFE', TO_DATE('02-09-2005'),
          'Customer complaint:
           Circular hole in safe floor can apparently be easily cut with handsaw.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(113, 'ANV01', TO_DATE('05-09-2005'),
          'Customer complaint:
           Not heavy enough to generate flying stars around head of victim. If being purchased for dropping, recommend ANV02 or ANV03 instead.');
 INSERT INTO productnotes(note_id, prod_id, note_date, note_text)
  VALUES(114, 'SAFE', TO_DATE('07-09-2005'),
          'Call from individual trapped in safe plummeting to the ground, suggests an escape hatch be added.
           Comment forwarded to vendor.');


Prompt ******** SELESAI INPUT DATA ********